SocksProxySocketFactory
Date: 2018-05-06

com.mysql.jdbc

## Class SocksProxySocketFactory

- java.lang.Object
- - com.mysql.jdbc.StandardSocketFactory
  - - com.mysql.jdbc.SocksProxySocketFactory

- All Implemented Interfaces:
    SocketFactory, SocketMetadata

      public class SocksProxySocketFactory
      extends StandardSocketFactory

  A socket factory used to create sockets connecting through a SOCKS proxy. The socket still supports all the same TCP features as the "standard" socket.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.mysql.jdbc.SocketMetadata

      `SocketMetadata.Helper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SOCKS_DEFAULT_PORT`

    - ### Fields inherited from class com.mysql.jdbc.StandardSocketFactory

      `host, loginTimeoutCheckTimestamp, loginTimeoutCountdown, port, rawSocket, socketTimeoutBackup, TCP_KEEP_ALIVE_DEFAULT_VALUE, TCP_KEEP_ALIVE_PROPERTY_NAME, TCP_NO_DELAY_DEFAULT_VALUE, TCP_NO_DELAY_PROPERTY_NAME, TCP_RCV_BUF_DEFAULT_VALUE, TCP_RCV_BUF_PROPERTY_NAME, TCP_SND_BUF_DEFAULT_VALUE, TCP_SND_BUF_PROPERTY_NAME, TCP_TRAFFIC_CLASS_DEFAULT_VALUE, TCP_TRAFFIC_CLASS_PROPERTY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocksProxySocketFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.net.Socket` | `createSocket(java.util.Properties props)` Create the raw socket.

    - ### Methods inherited from class com.mysql.jdbc.StandardSocketFactory

      `afterHandshake, beforeHandshake, connect, getRealTimeout, isLocallyConnected, resetLoginTimeCountdown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SOCKS_DEFAULT_PORT

          public static int SOCKS_DEFAULT_PORT

  - ### Constructor Detail

    - #### SocksProxySocketFactory

          public SocksProxySocketFactory()

  - ### Method Detail

    - #### createSocket

          protected java.net.Socket createSocket(java.util.Properties props)

      Description copied from class: `StandardSocketFactory`
      Create the raw socket.
      Overrides:
        `createSocket` in class `StandardSocketFactory`
      Parameters:
        `props` - properties available to affect behavior during socket creation.